<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* user-form-preferences.twig */
class __TwigTemplate_7d3cd2c34b6ec8f90b0a58f38becc0ba0fde4e47fe07b8d1f374be366c1e21c1 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 23
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 24
        $context["forms"] = $this->loadTemplate("forms.twig", "user-form-preferences.twig", 24)->unwrap();
        // line 23
        $this->parent = $this->loadTemplate("form-base.twig", "user-form-preferences.twig", 23);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 26
    public function block_formTitle($context, array $blocks = [])
    {
        // line 27
        echo "    ";
        echo __("Preferences");
    }

    // line 30
    public function block_formButtons($context, array $blocks = [])
    {
        // line 31
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 32
        echo __("Save");
        echo ", userPreferencesFormSubmit()
";
    }

    // line 35
    public function block_formHtml($context, array $blocks = [])
    {
        // line 36
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"userPreferences\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 38
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "\">
                ";
        // line 39
        if (($this->getAttribute(($context["theme"] ?? null), "isSettingVisible", [0 => "NAVIGATION_MENU_POSITION"], "method") && $this->getAttribute(($context["theme"] ?? null), "isSettingEditable", [0 => "NAVIGATION_MENU_POSITION"], "method"))) {
            // line 40
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Navigation Menu");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 41
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Select where the Navigation Menu should be positioned. Once selected please refresh your browser window to apply changes.");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 42
            echo "
                    ";
            // line 43
            ob_start(function () { return ''; });
            echo __("Use the default configured by your administrator");
            $context["defaultOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 44
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Horizontal along the top");
            $context["horizontalOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 45
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Vertically on the left");
            $context["verticalOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 46
            echo "                    ";
            $context["options"] = [0 => ["id" => null, "value" =>             // line 47
($context["defaultOption"] ?? null)], 1 => ["id" => "horizontal", "value" =>             // line 48
($context["horizontalOption"] ?? null)], 2 => ["id" => "vertical", "value" =>             // line 49
($context["verticalOption"] ?? null)]];
            // line 51
            echo "                    ";
            echo $context["forms"]->getdropdown("navigationMenuPosition", "single", ($context["title"] ?? null), $this->getAttribute(($context["currentUser"] ?? null), "getOptionValue", [0 => "navigationMenuPosition", 1 => "default"], "method"), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
            echo "
                ";
        }
        // line 53
        echo "
                ";
        // line 54
        if ($this->getAttribute(($context["currentUser"] ?? null), "isSuperAdmin", [], "method")) {
            // line 55
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Show Content From");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 56
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Select Standard or DOOH to see relevant content");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 57
            echo "                    ";
            $context["options"] = [0 => ["id" => 1, "value" => __("Standard")], 1 => ["id" => 2, "value" => __("DOOH")]];
            // line 61
            echo "                    ";
            echo $context["forms"]->getdropdown("showContentFrom", "single", ($context["title"] ?? null), $this->getAttribute(($context["currentUser"] ?? null), "showContentFrom", []), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
            echo "
                ";
        }
        // line 63
        echo "            
                ";
        // line 64
        ob_start(function () { return ''; });
        echo __("Use Library duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 65
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Assign all Media items based on their Library duration. Leave this option unticked to use the Default Module duration.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                ";
        echo $context["forms"]->getcheckbox("useLibraryDuration", ($context["title"] ?? null), $this->getAttribute(($context["currentUser"] ?? null), "getOptionValue", [0 => "useLibraryDuration", 1 => 0], "method"), ($context["helpText"] ?? null));
        echo "

                ";
        // line 68
        ob_start(function () { return ''; });
        echo __("Auto show thumbnail column?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 69
        echo "                ";
        ob_start(function () { return ''; });
        echo __("When requesting a screenshot from a display should the Thumbnail column be automatically shown if it's not visible?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                ";
        echo $context["forms"]->getcheckbox("showThumbnailColumn", ($context["title"] ?? null), $this->getAttribute(($context["currentUser"] ?? null), "getOptionValue", [0 => "showThumbnailColumn", 1 => 1], "method"), ($context["helpText"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "user-form-preferences.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  169 => 70,  164 => 69,  160 => 68,  154 => 66,  149 => 65,  145 => 64,  142 => 63,  136 => 61,  133 => 57,  128 => 56,  123 => 55,  121 => 54,  118 => 53,  112 => 51,  110 => 49,  109 => 48,  108 => 47,  106 => 46,  101 => 45,  96 => 44,  92 => 43,  89 => 42,  84 => 41,  79 => 40,  77 => 39,  73 => 38,  69 => 36,  66 => 35,  60 => 32,  55 => 31,  52 => 30,  47 => 27,  44 => 26,  39 => 23,  37 => 24,  31 => 23,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "user-form-preferences.twig", "/home/mgatv524/public_html/edurocha/views/user-form-preferences.twig");
    }
}
