<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* htmlpackage-form-edit.twig */
class __TwigTemplate_92b58e62ebacb6b4411323bdeaa0ec98d347e0c939b02c62a5d780a1558e2508 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["forms"] = $this->loadTemplate("forms.twig", "htmlpackage-form-edit.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("form-base.twig", "htmlpackage-form-edit.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_formTitle($context, array $blocks = [])
    {
        // line 28
        echo "    ";
        echo __("Edit HTML Package");
    }

    // line 31
    public function block_formHtml($context, array $blocks = [])
    {
        // line 32
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"htmlPackageEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 34
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.edit", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\" data-widget-id=\"";
        echo twig_escape_filter($this->env, $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", []), "html", null, true);
        echo "\" data-media-id=\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["module"] ?? null), "getMediaId", [], "method"), "html", null, true);
        echo "\" data-media-editable=\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["currentUser"] ?? null), "checkEditable", [0 => $this->getAttribute(($context["module"] ?? null), "getMedia", [], "method")], "method"), "html", null, true);
        echo "\" data-valid-extensions=\"";
        echo twig_escape_filter($this->env, ($context["validExtensions"] ?? null), "html", null, true);
        echo "\">
                ";
        // line 35
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "                ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "                ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "name"], "method"), ($context["helpText"] ?? null));
        echo "

                ";
        // line 39
        ob_start(function () { return ''; });
        echo __("Nominated File");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Enter a nominated file name that player will attempt to open after extracting the .htz archive");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                ";
        echo $context["forms"]->getinput("nominatedFile", ($context["title"] ?? null), $this->env->getExtension('Xibo\Twig\UrlDecodeTwigExtension')->urlDecode($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "nominatedFile", 1 => "index.html"], "method")), ($context["helpText"] ?? null));
        echo "

                ";
        // line 43
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 44
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 45
        echo "                ";
        echo $context["forms"]->getcheckbox("useDuration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getUseDuration", [], "method"), ($context["helpText"] ?? null));
        echo "

                ";
        // line 47
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 48
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 49
        echo "                ";
        echo $context["forms"]->getnumber("duration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getDuration", [], "method"), ($context["helpText"] ?? null), "duration-fields", "required");
        echo "

                ";
        // line 51
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 52
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 53
        echo "
                ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 58
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 59
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 60
($context["inheritOption"] ?? null)]];
        // line 62
        echo "                ";
        echo $context["forms"]->getdropdown("enableStat", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => $this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method")], "method"), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "htmlpackage-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  162 => 62,  160 => 60,  159 => 59,  158 => 58,  156 => 57,  151 => 56,  146 => 55,  142 => 54,  139 => 53,  134 => 52,  130 => 51,  124 => 49,  119 => 48,  115 => 47,  109 => 45,  104 => 44,  100 => 43,  94 => 41,  89 => 40,  85 => 39,  79 => 37,  74 => 36,  70 => 35,  58 => 34,  54 => 32,  51 => 31,  46 => 28,  43 => 27,  38 => 24,  36 => 25,  30 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "htmlpackage-form-edit.twig", "/home/mgatv524/public_html/edurocha/modules/htmlpackage-form-edit.twig");
    }
}
